Update invoice
curl --request POST \
--url https://demo.onlinebillingform.com/api/v2/invoice/update-invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": 123,
"duedate": "<string>",
"customer_id": 123,
"comments": "<string>",
"record.item": [
"<string>"
],
"record.description": [
"<string>"
],
"record.price": [
"<string>"
],
"record.quantity": [
"<string>"
],
"record.tax_class": [
"<string>"
],
"record.tax": [
"<string>"
]
}
'import requests
url = "https://demo.onlinebillingform.com/api/v2/invoice/update-invoice"
payload = {
"invoice_id": 123,
"duedate": "<string>",
"customer_id": 123,
"comments": "<string>",
"record.item": ["<string>"],
"record.description": ["<string>"],
"record.price": ["<string>"],
"record.quantity": ["<string>"],
"record.tax_class": ["<string>"],
"record.tax": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_id: 123,
duedate: '<string>',
customer_id: 123,
comments: '<string>',
'record.item': ['<string>'],
'record.description': ['<string>'],
'record.price': ['<string>'],
'record.quantity': ['<string>'],
'record.tax_class': ['<string>'],
'record.tax': ['<string>']
})
};
fetch('https://demo.onlinebillingform.com/api/v2/invoice/update-invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"errors": "Invalid API Key"
}{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}Invoice
Update invoice
POST
/
invoice
/
update-invoice
Update invoice
Authorizations
Use Authorization: Bearer <live_api_key>.
Body
application/jsonapplication/x-www-form-urlencoded
Response
OK
⌘I